import { ROLLDIALOG_SECTION, RollPart } from "./roll-part.mjs"

export const PART_ACTION = "action"

export class RollPartAction extends RollPart {

  get code() { return PART_ACTION }
  get section() { return ROLLDIALOG_SECTION.ACTION }

  title(rollData) {
    const current = this.getCurrent(rollData)
    return current.verb
  }

  prepareContext(rollData) {
    const current = this.getCurrent(rollData)
    current.verb = rollData.type.label
  }

}
